package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 概念表
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Data
public class KlConcept implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键,概念id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 对应术语id
     */
    private Long libId;

    /**
     * 概念名称(冗余)
     */
    private String libName;

    /**
     * 概念词性type(冗余)
     */
    private Integer libType;

    /**
     * 启用状态（0：禁用，1：启用）
     */

    private Integer status;

    @ApiModelProperty("收藏状态：0-未收藏，1-已收藏")
    private Integer collectionStatus;

}
