package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 药品表
 * </p>
 * @author: SGTY
 * @create: 2024/8/7 10:18
 **/

@Data
public class KlDrug implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;

    /**
     * 药品类别（0：西药，1：中成药）
     */
    private Integer drug;

    /**
     * 药品分类
     */
    private String drugC;

    /**
     * 备注
     */
    private String remark;

    @Override
    public String toString() {
        return "KlDrug{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", conceptId=" + conceptId +
                ", drug=" + drug +
                ", remark=" + remark +
                "}";
    }
}
