package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.*;
import com.diagbot.entity.KlRule;
import com.diagbot.mapper.KlRuleMapper;
import com.diagbot.service.KlRuleService;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;
import com.diagbot.vo.RuleBaseQueryVO;
import com.diagbot.vo.RuleQueryVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlRuleServiceImpl extends ServiceImpl<KlRuleMapper, KlRule> implements KlRuleService {
    public List<RuleDTO> getAllRule() {
        return baseMapper.getAllRule();
    }

    @Override
    public IPage<KlRuleInfoDTO> getKlRuleInfoPages(KlRuleInfoVO klRuleInfoVO) {
        return baseMapper.getKlRuleInfoPage(klRuleInfoVO);
    }

    @Override
    public List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO) {
        return baseMapper.getByIdRuleInfo(klRuleByIdVO);
    }

    @Override
    public List<IndicationExportDTO> exportIndication() {
        return baseMapper.exportIndication();
    }

    @Override
    public List<RuleInitDTO> getRuleInitDTO(){
        return baseMapper.getRuleInitDTO();
    }

    @Override
    public List<RuleConditionInitDTO> getRuleConditionInitDTO(){
        return baseMapper.getRuleConditionInitDTO();
    }

    @Override
    public List<RuleBaseInitDTO> getRuleBaseInitDTO(){
        return baseMapper.getRuleBaseInitDTO();
    }


    @Override
    public List<RuleInitDTO> getRuleInitDTONotHaveClass(){
        return baseMapper.getRuleInitDTONotHaveClass();
    }

    @Override
    public List<RuleInitDTO> getRuleInitDTOHaveClass(){
        return baseMapper.getRuleInitDTOHaveClass();
    }

    @Override
    public List<RuleBaseInitDTO> getRuleBaseInitDTONotHaveClass(){
        return baseMapper.getRuleBaseInitDTONotHaveClass();
    }

    @Override
    public IPage<RuleQueryDTO> getRulePage(RuleQueryVO ruleQueryVO) {
        return baseMapper.getRulePage(ruleQueryVO);
    }

    @Override
    public List<RuleBaseInitDTO> getRuleBaseInitDTOHaveClass(){
        return baseMapper.getRuleBaseInitDTOHaveClass();
    }

    @Override
    public List<RuleIdDTO> getRuleNotHaveClass(RuleBaseQueryVO ruleBaseQueryVO){
        return baseMapper.getRuleNotHaveClass(ruleBaseQueryVO);
    }

    @Override
    public List<RuleIdDTO> getRuleHaveClass(RuleBaseQueryVO ruleBaseQueryVO){
        return baseMapper.getRuleHaveClass(ruleBaseQueryVO);
    }
}
